import http from "@/http/http";
import {FeeItemQueryParam,SubmitFeeItemModel} from "@/api/feeitem/FeeItemModle";
enum Api{
    getFeeItemList = '/api/feeItem/list',   
    add = '/api/feeItem',
    edit = '/api/feeItem',
    delete = '/api/feeItem'
}

//查询列表
export const getFeeItemListApi = async(parms:FeeItemQueryParam) =>{
    return  await http.get(Api.getFeeItemList,parms)
}

//新增
export const addFeeItemApi = async (parms:SubmitFeeItemModel) =>{   
    return await http.post(Api.add,parms)
}
//编辑
export const editFeeItemApi = async (parms:SubmitFeeItemModel) =>{   
    return await http.put(Api.edit,parms)
}
//删除
export const deleteFeeItemApi = async (parms:any) =>{
    return await http.delete(Api.delete,parms)
}